## mlmmj 1.3.0

=== contrib/foot_filter/Makefile ===
all: foot_filter
dev: tags splint foot_filter
.PHONY: splint clean clobber
tags: foot_filter.c
	ctags --excmd=number '--regex-c=-/\*[[:blank:]]*tag:[[:blank:]]*([[:alnum:]_]+)-\1-' foot_filter.c
splint:
	splint +unixlib -exitarg -initallelements foot_filter.c
foot_filter: foot_filter.c
	gcc -Wall -g -o foot_filter foot_filter.c -O3
clean:
	-rm tags
clobber: clean
	-rm foot_filter
	-rm test

## mlmmj 1.2.17

=== debian/changelog ===
mlmmj (1.2.17-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #626734
    - Polish (Michał Kułach).  Closes: #659374

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Feb 2012 19:01:50 +0100

mlmmj (1.2.17-5) unstable; urgency=low

  * Now Depends: dpkg-dev (>= 1.16.1.1~), >= 1.16.1.2~ was a mistake, as
  1.16.1.1~bpo60+2 is in backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Jan 2012 15:44:38 +0800

mlmmj (1.2.17-4) unstable; urgency=low

  * Sets mlmmj/remove-on-purge debconf as low priority, as the default really,
  is fine, and it's annoying when installing MLMMJ.
  * Add support for build-arch and build-indep targets thanks to Niels Thykier
  <niels@thykier.net>.
  * Bumped Standard version, added debian/source/format, switching to 3.0 quilt
  * Switching to Quilt instead of now deprecated dpatch (converted all dpatch
  patches to quilt patches, rewrote quilt patche headers to match DEP3, rebased
  patches so they apply cleanly).
  * Removed unused patches from debian/patches folder.
  * Now first choice for the mail server in Depends: is postfix, not exim4.
  * Bumped Standard version (no change needed).
  * Enabled hardened build flags through dpkg-buildflags, thanks to Moritz
  Muehlenhoff <jmm@debian.org> (Closes: #655893).
  * Fixed debian/copyright to match new version of DEP5.
  * Fixes man page syntax (some UTF-8 work, and some hyphen-used-as-minus-sign
  have been fixed as a patch).
  * Switching to source format 3.0 (quilt), and bumped compat and debhelper
  build-depends to v8.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jan 2012 15:45:07 +0800

mlmmj (1.2.17-3) unstable; urgency=low

  * Added Danish Debconf translation thanks to Joe Dalton <joedalton2@yahoo.dk>
  * Added the packaging of upstream ChangeLog that was missing.
  * Fixed debian/copyright in DEP5 format, and documented find_email_adr.c
  to the correct license (Closes: #633579).
  * Bumped Standard-Version to 3.9.2
  * Added debian/source/format file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 May 2011 21:24:26 +0800

mlmmj (1.2.17-2) unstable; urgency=low

  * Fixes German listtexts moderation translation.
  * Fixes (Closes: #599183).
  * Creates the /var/spool/mlmmj directory in MLMMJ postinst (Closes: #599014).
  * Now uses pkg-mlmmj-devel@lists.alioth.debian.org as maintainer.
  * Added Vcs-Browser and Vcs-Git fields.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Nov 2010 19:16:15 +0800

mlmmj (1.2.17-1.1) unstable; urgency=low

  * Non-maintainer QA upload.
  * Fixes CVE-2009-4896 mlmmj-php-admin directory traversal (Closes: #588038).

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Jul 2010 02:21:19 +0800

mlmmj (1.2.17-1) unstable; urgency=low

  * New upstream release (Closes: #516948, #564557).
  * Reworked debian package.
  * Switched to debhelper 7.
  * Include Swedish debconf translation (Closes: #503607).
  * Include Japanese debconf translation (Closes: #512988).
  * Include Italian debconf translation (Closes: #547410).
  * Include Basque debconf translation (Closes: #548111).
  * Include Vietnamese debconf translation (Closes: #548139).
  * Include Russian debconf translation (Closes: #548220).
  * Include Finnish debconf translation (Closes: #549791).
  * Include Galician debconf translation (Closes: #556283).
  * Switch back to upstream version of mlmmj-make-ml.sh (Closes: #446001).
    Old script /usr/share/doc/mlmmj/mlmmj-make-ml.Debian.
  * Fix lintian warning, binary-without-manpage, for script mlmmj-make-ml
    and manpage mlmmj-make-ml.sh.
  * Moved files from /var/www/ to /usr/share/ for mlmmj-php-web and
    mlmmj-php-web-admin (Closes: #553550, #553548).
  * Added dependency to mlmmj for the mlmmj-php-web package.
  * Added ${misc:Depends} dependency for both mlmmj-php-web and
    mlmmj-php-web-admin packages.
  * Bumped Standard-Version: to 3.8.3.
  * Added descriptions in all dpatch patches.
  * Added a README.source.
  * Wrote a more comprehensive long description.
  * Removed useless /usr/sbin dir in the mlmmj package.
  * Removed homepage from long description, added a homepage field, and
    used the correct new URL (mlmmj.org).
  * Accepted changes from NMU (Closes: #470125).
  * Fixed spelling of re-encode in previous changelog entry.
  * Fixed build problem (Closes: #560554).

 -- Daniel Walrond <debian@djw.org.uk>  Wed, 27 Jan 2010 16:38:26 +0000

mlmmj (1.2.15-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashisms. (Closes: #465008)
  * Include dutch translation. (Closes: #449404)
  * debian/copyright: Re-encode as UTF8.
  * debian/rules: Fix ignoring make distclean failures.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 08 Mar 2008 23:38:39 +0100

mlmmj (1.2.15-1) unstable; urgency=low

  * New upstream release.
  * debian/po/pt.po: Add translation by Miguel Figueiredo.  Closes: #434063.
  * Add check for mlmmj-maintd in crontab.  Closes: #435999.
  * Fix mmap of zero bytes.  Closes: #435420.
  * Depends on php5.  Closes: #424802, #424835.
  * Fix mail to multiple lists only sent to one list.  Closes: #425572.

 -- Daniel Walrond <debian@djw.org.uk>  Sun, 12 Aug 2007 18:38:37 +0000

mlmmj (1.2.14-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. Closes: #417827.
  * Altered mail-transport-agent dependency.
  * Change dependency from grep-dctrl to dctrl-tools.
  * Removed extra '/' from usage output.

 -- Daniel Walrond <debian@djw.org.uk>  Wed, 13 Jun 2007 17:49:17 +0000

mlmmj (1.2.11-8) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (#417827); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * config.guess, config.sub: Not actually used; remove.
  * debian/mlmmj.postrm:
    - Don't assume debconf is available.  Closes: #388600.
    - Source /usr/share/debconf/confmodule only once.
    - Avoid outputting to stdout lest we confuse debconf.


=== debian/control ===
Source: mlmmj
Section: mail
Priority: optional
Maintainer: MLMMJ packaging team <pkg-mlmmj-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1.1~)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-mlmmj/mlmmj.git
Vcs-Git: http://git.debian.org/git/pkg-mlmmj/mlmmj.git
Homepage: http://mlmmj.org/

Package: mlmmj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix | exim4 | mail-transport-agent
Suggests: mlmmj-php-web, mlmmj-php-web-admin
Description: mail server independent mailing list manager
 A mailing list manager with roughly the same functionality as ezmlm.
 .
  mlmmj features:
  * Archive
  * Custom headers / footer
  * Fully automated bounce handling (similar to ezmlm)
  * Complete requeueing functionality
  * Moderation functionality
  * Subject prefix
  * Subscribers only posting
  * Regular expression access control
  * Functionality to retrieve old posts
  * Web-interface
  * Digests
  * No mail delivery subscription
  * VERP support
  * Delivery Status Notification (RFC1891) support
 .

Package: mlmmj-php-web
Architecture: all
Depends: ${misc:Depends}, mlmmj, php5 | php4
Description: web interface for mlmmj, written in php
 A web based tool for mlmmj written in php, so that your users can subscribe
 or unsubscribe through some HTML forms, which sometimes, might be more
 convenient than just using the list commands.

Package: mlmmj-php-web-admin
Architecture: all
Depends: ${misc:Depends}, mlmmj, php5 | php4
Description: administrative web interface for mlmmj, written in php
 This web based administrative tool for mlmmj written in php will help you
 to configure each mailing list individualy, through the web. You will be
 able with mlmmj-php-web-admin to set each individual tunable of the list.

=== debian/watch ===
version=3

http://mlmmj.org/project/mlmmj files/mlmmj-(.*)\.tar\.gz

## mlmmj 1.2.18.0

=== debian/changelog ===
mlmmj (1.2.18.0-2) unstable; urgency=low

  * Fixes path to web files, now conf files are in /etc (Closes: #677817),
  thanks to Chris Knadle <Chris.Knadle@coredump.us> for reporting.
  * Fixed README.Debian as suggested by Reuben Thomas <rrt@sc3d.org>
  (Closes: #617241).
  * Tells about nobody / nogroup rights in README.Debian (Closes: #617248),
  thanks to Reuben Thomas <rrt@sc3d.org> for reporting.
  * Reference correctly install path in the README.Debian of the
  mlmmj-php-web-admin package thanks to Chris Knadle <Chris.Knadle@coredump.us>
  for reporting (Closes: #677819).
 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jun 2012 05:50:52 +0000

mlmmj (1.2.18.0-1) unstable; urgency=low

  * New upstream release.
  * Compat level is now 9, debhelper build-depends as well.
  * Updated the debian/watch file.
  * Removed some of debian/patches/02_fix_mlmmj_php.diff which aren't needed
  anymore.
  * Removed 06_fix_bashisms_mlmmj-make-ml.diff (applied upstream).
  * Removed 07_fix_CVE-2009-4896_php-admin_directory_traversal.diff,
  debian/patches/08_locating_support_files_in_php-admin.diff,
  debian/patches/09_german_listtexts_typo.diff.
  debian/patches/10_fix_manpages_syntax.diff (also applied upstream).
  * Now just removing the /usr/bin/mlmmj-make-ml.sh symlink to
  /usr/bin/mlmmj-make-ml instead of renaming mlmmj-make-ml.sh as upstream is
  doing the transition. No need to rename the man page either.
  * Remove php4 in the possible dependencies (php5 is enough...).
  * Standards-Version: is now 3.9.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 May 2012 09:15:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: MLMMJ packaging team <pkg-mlmmj-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1.1~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~)
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=pkg-mlmmj/mlmmj.git
 Vcs-Git: http://git.debian.org/git/pkg-mlmmj/mlmmj.git
 Homepage: http://mlmmj.org/
@@ -35,7 +35,7 @@
 
 Package: mlmmj-php-web
 Architecture: all
-Depends: ${misc:Depends}, mlmmj, php5 | php4
+Depends: ${misc:Depends}, mlmmj, php5
 Description: web interface for mlmmj, written in php
  A web based tool for mlmmj written in php, so that your users can subscribe
  or unsubscribe through some HTML forms, which sometimes, might be more
@@ -43,7 +43,7 @@
 
 Package: mlmmj-php-web-admin
 Architecture: all
-Depends: ${misc:Depends}, mlmmj, php5 | php4
+Depends: ${misc:Depends}, mlmmj, php5
 Description: administrative web interface for mlmmj, written in php
  This web based administrative tool for mlmmj written in php will help you
  to configure each mailing list individualy, through the web. You will be

## mlmmj 1.2.18.1

=== debian/changelog ===
mlmmj (1.2.18.1-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1562136).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 25 Mar 2016 12:26:53 -0700

mlmmj (1.2.18.1-1) unstable; urgency=medium

  * New upstream release (Closes: #749959).
  * Added Brazilian Portuguese debconf templates translation thanks to
    Adriano Rafael Gomes <adrianorg@gmail.com> (Closes: #693384).
  * Now also packages README.listtexts.
  * VCS URLs now canonical.
  * Standards-Version is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 May 2014 14:33:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mlmmj
 Section: mail
 Priority: optional
-Maintainer: MLMMJ packaging team <pkg-mlmmj-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: MLMMJ packaging team <pkg-mlmmj-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~)
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=pkg-mlmmj/mlmmj.git
-Vcs-Git: http://git.debian.org/git/pkg-mlmmj/mlmmj.git
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mlmmj/mlmmj.git
+Vcs-Git: http://anonscm.debian.org/git/pkg-mlmmj/mlmmj.git
 Homepage: http://mlmmj.org/
 
 Package: mlmmj
@@ -35,7 +36,7 @@
 
 Package: mlmmj-php-web
 Architecture: all
-Depends: ${misc:Depends}, mlmmj, php5
+Depends: ${misc:Depends}, mlmmj, php
 Description: web interface for mlmmj, written in php
  A web based tool for mlmmj written in php, so that your users can subscribe
  or unsubscribe through some HTML forms, which sometimes, might be more
@@ -43,7 +44,7 @@
 
 Package: mlmmj-php-web-admin
 Architecture: all
-Depends: ${misc:Depends}, mlmmj, php5
+Depends: ${misc:Depends}, mlmmj, php
 Description: administrative web interface for mlmmj, written in php
  This web based administrative tool for mlmmj written in php will help you
  to configure each mailing list individualy, through the web. You will be

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

WEB_ADMIN_DEST = $(CURDIR)/debian/mlmmj-php-web-admin/usr/share/mlmmj-php-web-admin
WEB_ADMIN_SRC = $(CURDIR)/contrib/web/php-admin

USER_ADMIN_SRC = $(CURDIR)/contrib/web/php-user

CONFFLAGS := --prefix=/usr --mandir=/usr/share/man
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE)
else
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(CONFFLAGS) $(shell dpkg-buildflags --export=configure)
	touch configure-stamp
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	touch $@
clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp configure-stamp config.log
	dh_clean 
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/mlmmj.
	$(MAKE) DESTDIR=$(CURDIR)/debian/mlmmj install
	rm $(CURDIR)/debian/mlmmj/usr/bin/mlmmj-make-ml.sh
	install -m 755 -D $(CURDIR)/debian/mlmmj-make-ml.Debian \
		$(CURDIR)/debian/mlmmj/usr/share/doc/mlmmj/mlmmj-make-ml.Debian
	dh_install -s
	# mlmmj-php-web
	install -m 644 -D $(USER_ADMIN_SRC)/mlmmj.php	$(CURDIR)/debian/mlmmj-php-web/usr/share/mlmmj-php-web/mlmmj.php
	install -m 644 -D $(USER_ADMIN_SRC)/example.html $(CURDIR)/debian/mlmmj-php-web/usr/share/mlmmj-php-web/index.html
	install -m 644 -D $(USER_ADMIN_SRC)/README	$(CURDIR)/debian/mlmmj-php-web/usr/share/doc/mlmmj-php-web/README
	install -m 644 -D $(USER_ADMIN_SRC)/example.html $(CURDIR)/debian/mlmmj-php-web/usr/share/doc/mlmmj-php-web/examples/examples.html

	### mlmmj-php-web-admin ###
	# Create dirs
	install -d $(WEB_ADMIN_DEST)/htdocs
	install -d $(CURDIR)/debian/mlmmj-php-web-admin/etc/mlmmj-php-web-admin
	install -d $(CURDIR)/debian/mlmmj-php-web-admin/etc/mlmmj-php-web-admin/templates
	# Copy the content
	install -m 644 $(WEB_ADMIN_SRC)/htdocs/*.php		$(WEB_ADMIN_DEST)/htdocs
	install -m 644 $(WEB_ADMIN_SRC)/htdocs/dot.htaccess	$(WEB_ADMIN_DEST)/htdocs/.htaccess
	install -m 644 -D $(WEB_ADMIN_SRC)/README		$(CURDIR)/debian/mlmmj-php-web-admin/usr/share/doc/mlmmj-php-web-admin/README
	install -m 644 $(WEB_ADMIN_SRC)/conf/*			$(CURDIR)/debian/mlmmj-php-web-admin/etc/mlmmj-php-web-admin
	install -m 644 $(WEB_ADMIN_SRC)/templates/*		$(CURDIR)/debian/mlmmj-php-web-admin/etc/mlmmj-php-web-admin/templates
	# Make sure we're using /etc for conf files
	ln -s /etc/mlmmj-php-web-admin				$(CURDIR)/debian/mlmmj-php-web-admin/usr/share/mlmmj-php-web-admin/conf
	ln -s /etc/mlmmj-php-web-admin/templates		$(CURDIR)/debian/mlmmj-php-web-admin/usr/share/mlmmj-php-web-admin/templates

binary-common: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installdebconf       
	dh_installcron
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: binary-common
binary-arch: binary-common
binary: binary-indep binary-arch

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://mlmmj.org/downloads /releases/mlmmj-(.*)\.tar\.gz

## mlmmj 1.2.19.0

=== debian/changelog ===
mlmmj (1.2.19.0-1) unstable; urgency=medium

  * New upstream bugfix release
    http://mlmmj.org/news/mlmmj-1-2-19-0-released/
  * Fixes stmpport tunable not always honored by mlmmj-send (Closes: #805312)
    Thanks to Christoph Ehnes <chris@filmkreis.tu-darmstadt.de> for reporting
    the bug and testing that 1.2.19.0 has a fix
  * debian/watch:
    - Update to watch only stable release versions

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 29 Dec 2016 22:13:50 +0000

mlmmj (1.2.18.1-2) unstable; urgency=medium

  * debian/control
    - Add myself to Uploaders
    - Depend on PHP 7 rather than PHP 5 (Closes: #821532, #821533)
    - Update Standards-Version to 3.9.8 (no changes needed)
    - Update Vcs-Browser and Vcs-Git links with https version
  * debian/copyright
    - Update from DEP5 to copyright 1.0 format
    - Update BSD keyword to BSD-4-clause
  * debian/docs:
    - Remove debian/README.source (file removed)
  * debian/patches:
    - Update 05_fix_displayed_full_paths.diff for line offset fuzz
    - Reorder series file to apply patches in numeric order
    - Add 06_fix-php-web-for-php7.diff to fix mlmmj web packages for PHP 7.0
    - Add 07_fix-crontab-suggestions.diff to fix the crontab instructions to
      include the user (root) to run the crontab entry, and inform the user
      that the Debian package already includes a crontab entry
      (Closes: #804436)
  * debian/rules:
    - Update to split up package building for arch and indep so that
      binary-arch doesn't produce "arch: all" packages which is supposed
      to happen only in the binary-indep target
  * debian/README.source:
    - Remove file as it is no longer necessary; stated that the package is
      using dpatch which isn't the case as of 1.2.17-4

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 11 May 2016 22:46:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mlmmj
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: MLMMJ packaging team <pkg-mlmmj-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Maintainer: MLMMJ packaging team <pkg-mlmmj-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+  Christopher Knadle <Chris.Knadle@coredump.us>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mlmmj/mlmmj.git
-Vcs-Git: http://anonscm.debian.org/git/pkg-mlmmj/mlmmj.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-mlmmj/mlmmj.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mlmmj/mlmmj.git
 Homepage: http://mlmmj.org/
 
 Package: mlmmj

=== debian/rules ===
--- 
+++ 
@@ -25,30 +25,48 @@
 	dh_testdir
 	./configure $(CONFFLAGS) $(shell dpkg-buildflags --export=configure)
 	touch configure-stamp
+
 build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-build-stamp: configure-stamp  
+
+build-arch: build-arch-stamp
+
+build-indep: build-indep-stamp
+
+build-arch-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
 	touch $@
+
+build-indep-stamp:
+
 clean:
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f build-stamp configure-stamp config.log
-	dh_clean 
-install: build
+	dh_clean
+
+install: install-indep install-arch
+
+install-arch:
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_installdirs
+	dh_installdirs -a
 	# Add here commands to install the package into debian/mlmmj.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mlmmj install
 	rm $(CURDIR)/debian/mlmmj/usr/bin/mlmmj-make-ml.sh
 	install -m 755 -D $(CURDIR)/debian/mlmmj-make-ml.Debian \
 		$(CURDIR)/debian/mlmmj/usr/share/doc/mlmmj/mlmmj-make-ml.Debian
-	dh_install -s
+	dh_install -a
+
+install-indep:
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs -i
+	dh_install -i
+
 	# mlmmj-php-web
 	install -m 644 -D $(USER_ADMIN_SRC)/mlmmj.php	$(CURDIR)/debian/mlmmj-php-web/usr/share/mlmmj-php-web/mlmmj.php
 	install -m 644 -D $(USER_ADMIN_SRC)/example.html $(CURDIR)/debian/mlmmj-php-web/usr/share/mlmmj-php-web/index.html
@@ -70,13 +88,13 @@
 	ln -s /etc/mlmmj-php-web-admin				$(CURDIR)/debian/mlmmj-php-web-admin/usr/share/mlmmj-php-web-admin/conf
 	ln -s /etc/mlmmj-php-web-admin/templates		$(CURDIR)/debian/mlmmj-php-web-admin/usr/share/mlmmj-php-web-admin/templates
 
-binary-common: build install
+binary-common:
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-	dh_installdebconf       
+	dh_installdebconf
 	dh_installcron
 	dh_installman
 	dh_link
@@ -89,8 +107,12 @@
 	dh_md5sums
 	dh_builddeb
 
-binary-indep: binary-common
-binary-arch: binary-common
+binary-arch: build-arch install-arch
+	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
+
+binary-indep: build-indep install-indep
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+
 binary: binary-indep binary-arch
 
 .PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

# Watch for stable releases only
# (alpha/testing releases have characters in the version #)
http://mlmmj.org/downloads /releases/mlmmj-(\d\.\d\.\d+\.\d+)\.tar\.gz

## mlmmj 1.3.0

=== debian/changelog ===
mlmmj (1.3.0-2) unstable; urgency=medium

  * Update release with parallel pre-release work (Closes: #875298)
    http://mlmmj.org/news/mlmmj-1-3-0-released/
  * debian/control
    - Upgrade Standards-Version to 4.1.2 (no changes needed)
  * debian/copyright
    - Update Format link to use https
    - Switch MIT license for Expat, as license wording is compatible
    - Move "Files: *" section to being first to help Lintian
    - Add myself for files under debian/*
    - Add files in contrib/ that have use additional licenses
    - Add MPL-2.0 license section
    - Add GPL-3.0+ license section
  * debian/docs
    - Add README.archives
    - Add README.footers
    - Add README.listtexts
  * debian/mlmmj.links
    - Add file to make softlink for manpage mlmmj-recieve -> mlmmj-receive
      (Upstream makes a softlink for the binary but not the manpage.)
  * debian/watch
    - Update tarball search to make 4th sub-version number optional
      (e.g. match 1.3.0 and 1.2.19.0 -- upstream does both.)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 10 Dec 2017 22:53:06 +0000

mlmmj (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #879677).
  * Update debian/gbp.conf section name ([git-buildpackage] => [buildpackage]).
  * Add gen-orig-xz target.
  * Also package README.postfix (Closes: #862695).
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Nov 2017 11:19:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
   Christopher Knadle <Chris.Knadle@coredump.us>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-mlmmj/mlmmj.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-mlmmj/mlmmj.git
 Homepage: http://mlmmj.org/

=== debian/rules ===
--- 
+++ 
@@ -107,6 +107,19 @@
 	dh_md5sums
 	dh_builddeb
 
+
+DEBVERS         ?= $(shell dpkg-parsechangelog -SVersion)
+VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
+DEBPKGNAME      ?= $(shell dpkg-parsechangelog -SSource)
+GIT_TAG         ?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')
+
+gen-orig-xz:
+	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
+		git archive --prefix=$(DEBPKGNAME)-$(VERSION)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
+	fi
+	[ ! -e ../build-area ] && mkdir ../build-area || true
+	[ ! -e ../build-area/$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] && cp ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ../build-area
+
 binary-arch: build-arch install-arch
 	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

=== debian/watch ===
version=4

# Watch for stable releases only
# (avoid alpha/testing releases have characters in the version #)
# Sometimes upstream releases vary in version number lengths,
#   e.g. "1.3.0" vs "1.2.19.0", so make forth number optional
http://mlmmj.org/downloads /releases/mlmmj-(\d\.\d\.\d+)(\.\d+)?\.tar\.gz

## mlmmj 1.5.0

=== debian/changelog ===
mlmmj (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Jun 2025 14:34:59 +0200

mlmmj (1.5.0-1+replacetests4) experimental; urgency=medium

  * debian/patches: update 08_fix-ftbfs-bug.diff for fixes for build for hurd

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 03 Jun 2025 12:43:21 -0400

mlmmj (1.5.0-1+replacetests3) experimental; urgency=medium

  * debian/patches: update 08_fix-ftbfs-bug.diff for section that breaks build

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 27 May 2025 15:13:53 -0400

mlmmj (1.5.0-1+replacetests2) experimental; urgency=medium

  * debian/patches: update 08_fix-ftbfs-bug.diff for 32-bit post-test bugs

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 27 May 2025 14:14:12 -0400

mlmmj (1.5.0-1+replacetests) experimental; urgency=medium

  * debian/NEWS: update to document postbuild -tests added back
  * debian/patches: add 08_fix-ftbfs-bug.diff
    Fixes code to fix atf-sh test failure after compile
  * debian/rules: add post-build tests back

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 26 May 2025 18:18:17 -0400

mlmmj (1.5.0-1+removetests) experimental; urgency=medium

  * debian/copyright: remove two file regexes that have been removed
  * debian/NEWS: add file to document post-tests removal
  * debian/mlmmj.README.Debian: explain purpose of upload to Experimental
  * debian/rules: Avoid build tests on architecture where tests fail

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 24 May 2025 17:24:25 -0400

mlmmj (1.5.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * debian/control:
    - Add dh-exec build dependency
    - Update to debhelper-compat 13
    - Set Ruels-Require-Root no
    - Add Build-Depends for MLMMJ offline build tests
    - Update Standads-Version to 4.6.2
  * debian/copyright:
    - Update for changes with version 1.4.7
  * debian/cron.d: rename to mlmmj.cron.d
  * debian/docs: rename to mlmmj.doc
  * debian/mlmmj.doc:
    - Update for .md filename extensions, add mlmmj-make-ml.Debian
  * debian/mlmmj.manpages:
    - Add file to attribute manpages with mlmmj package
  * debian/mlmmj-php-web related files:
    -Add files for mlmmj-php-web-admin:
       mlmmj-php-web.docs
       mlmmj-php-web.examples
       mlmmj-php-web.install
       mlmmj-php-web-admin.docs
       mlmmj-php-web-admin.install
       mlmmj-php-web-admin.links
  * debian/not-installed:
    - Avoid installing mlmmj-make-ml.sh
  * debian/patches:
    - Update patches for version 1.4.4:
       05_fix_displayed_full_paths.diff
       06_fix-php-web-for-php7.diff
       07_fix-crontab-suggestions.diff
    - Remove 08_fix-gcc-10-build.diff (obsolete)
  * debian/watch:
    - Update to new upstream source on codeberg

  [ Christopher Knadle ]
  * debian/compat:
    - Remove file, debian-compat set in debian/control
  * New upstream release 1.5.0
    (Closes: #1043037)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 15 Apr 2025 18:00:12 -0400

mlmmj (1.3.0-4) unstable; urgency=medium

  * debian/control:
    - Update Standards-Version to 4.5.0 (no changes needed)
  * debian/patches:
    - Add 08_fix-gcc-10-build.diff to fix build with GCC 10 (Closes: #957546)
      Thanks to  Matthias Klose <doko@debian.org> for reporting the bug

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 12 Aug 2020 02:53:13 +0000

mlmmj (1.3.0-3) unstable; urgency=medium

  * debian/compat:
    - Update to debhelper 11 (currently recommended)
  * debian/control:
    - Update Build-Depends for debhelper >=11
    - Add Depends "or" default-mta for mlmmj to fix Lintian warning
    - Correct VCS-Browser and VCS-Git links for new location at Salsa
    - Move myself from Uploaders to Maintainer field (Closes: #899609)
    - Update Standards-Version to 4.2.1
      Changes:
        - Update debian/rules to enable DH_VERBOSE=1 to increase build
          verbosity as requested in Debian Policy § 4.9
  * debian/watch:
    - Update to repair and simplify matching pattern
  * debian/rules:
    - Update to add DH_VERBOSE=1 to add build verbosity

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 25 Sep 2018 21:43:18 +0000

## mlmmj 1.5.2

=== debian/changelog ===
mlmmj (1.5.2-1) unstable; urgency=medium

  * Newer upstream version, fixes outdated PHP for mlmmj-php-web-admin
    (Closes: #1106691)
  * debian/patches: add 08_fix-ftbfs-diff to fix FTBFS bug. This patch brings
    the 1.5.0 tarball up to upstream version 1.5.2
    (Closes: #1103308, #1104274)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 07 Jun 2025 23:42:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: mlmmj
 Section: mail
 Priority: optional
-Maintainer: MLMMJ packaging team <pkg-mlmmj-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
-  Christopher Knadle <Chris.Knadle@coredump.us>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-mlmmj/mlmmj.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mlmmj/mlmmj.git
+Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
+Uploaders: Thomas Goirand <zigo@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ dh-exec,
+ dpkg-dev (>= 1.16.1.1~),
+ atf-sh <!nocheck>,
+ kyua <!nocheck>,
+ libatf-dev <!nocheck>,
+ pkgconf
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/mlmmj-team/mlmmj
+Vcs-Git: https://salsa.debian.org/mlmmj-team/mlmmj.git
 Homepage: http://mlmmj.org/
+Rules-Requires-Root: no
 
 Package: mlmmj
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postfix | exim4 | mail-transport-agent
+Depends: ${shlibs:Depends}, ${misc:Depends}, default-mta | postfix | exim4 | mail-transport-agent
 Suggests: mlmmj-php-web, mlmmj-php-web-admin
 Description: mail server independent mailing list manager
  A mailing list manager with roughly the same functionality as ezmlm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRA_CONF_OPTS =

ifneq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
EXTRA_CONF_OPTS += --disable-tests
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONF_OPTS)

=== debian/watch ===
version=4

# Watch for stable releases only
# (avoid alpha/testing releases have characters in the version #)
# Sometimes upstream releases vary in version number lengths,
#   e.g. "1.3.0" vs "1.2.19.0", so make forth number optional
https://codeberg.org/mlmmj/mlmmj/releases .*/mlmmj-([\d\.]+)\.tar\.gz

## mlmmj 1.6.0

=== debian/changelog ===
mlmmj (1.6.0-1) unstable; urgency=medium

  * Newer upstream release 1.6.0
  * debian/patches:
    - Thanks to Ron Guerin <ron@vnetworx.net> for reporting bugs 1118969,
      1118971, 1118972, and including three patches added below
    - Add 10_fix-php-web-tunables.diff to fix a syntax error in Perl code in
      the PHP script eval()s
      (Closes: #1118969)
    - Add 12_fix-mlmmj-php.diff to fix PHP4-style class constructor for
      PHP 7 and 8
      (Closes: #1118972)
    - Add 14_fix-htaccess.diff to update .htaccess file for PHP-FPM and PHP-CGI
      (Closes: #1118971)
    - Removed 07_fix-crontab-suggestions.diff: src/mlmmj-make-ml rewrtten,
      the patch no longer applies
    - Removed 08_fix-ftbfs-bug.diff: obsolete - mlmmj 1.6.0 incorporates the
      changes made in patch
  * debian/po/ca.po:
    - Add new Catlan translation file
      Thanks to Carles Pina i Estany <carles@pina.cat> for the translation
      (Closes: #1109184)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 27 Nov 2025 14:14:03 -0500
